/* Sistemas Integrados TECNISA

BEGIN_CONV
Nome: 0000_PEDTMP_FILIAL.SQL

Descrio:
Script para preencher o campo de filial nas tabelas PARAMPEDIDO e PAREXPEDICAO

Criao:
10/02/2004 Raphael Freitas Pinheiro
*/

ALTER TABLE PARAMPEDIDO  ADD CDFILIAL VARCHAR2(4)
/
ALTER TABLE PAREXPEDICAO ADD CDFILIAL VARCHAR2(4)
/

DECLARE
   V_CDFILIPROC VARCHAR2(4);
   V_CTPARAMPED NUMBER;
   V_CTPARAMEXP NUMBER;
   V_PARAMGERAL NUMBER;
BEGIN
   SELECT COUNT(*)
   INTO V_PARAMGERAL
   FROM PARAMGERAL;

   IF V_PARAMGERAL > 0 THEN
      SELECT CDFILIAL
      INTO V_CDFILIPROC
      FROM PARAMGERAL;

      SELECT COUNT(*) INTO V_CTPARAMPED
      FROM PARAMPEDIDO
      WHERE CDFILIAL IS NULL;

      IF V_CTPARAMPED > 0 THEN
         UPDATE PARAMPEDIDO
         SET CDFILIAL = V_CDFILIPROC
         WHERE CDFILIAL IS NULL;
      END IF;

      SELECT COUNT(*) INTO V_CTPARAMEXP
      FROM PAREXPEDICAO
      WHERE CDFILIAL IS NULL;

      IF V_CTPARAMEXP > 0 THEN
         UPDATE PAREXPEDICAO
         SET CDFILIAL = V_CDFILIPROC
         WHERE CDFILIAL IS NULL;
      END IF;

      COMMIT;
   END IF;
END;
/

ALTER TABLE PARAMPEDIDO  MODIFY CDFILIAL NOT NULL
/
ALTER TABLE PAREXPEDICAO MODIFY CDFILIAL NOT NULL
/
